## calls-main-window calls-main-window |

## Functions

CallsMainWindow * | calls_main_window_new ()
void | calls_main_window_dial ()
void | calls_main_window_show_accounts_overview ()

## Properties

GListModel * | record-store | Write / Construct Only

## Types and Values

#define | CALLS_TYPE_MAIN_WINDOW
| CallsMainWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkWindow
                    ╰── GtkApplicationWindow
                        ╰── AdwApplicationWindow
                            ╰── CallsMainWindow

## Implemented Interfaces

CallsMainWindow implements GtkAccessible, GtkBuildable, GtkConstraintTarget, GtkNative, GtkShortcutManager, GtkRoot, GActionGroup and GActionMap.

## Description

## Functions

### calls_main_window_new ()

    CallsMainWindow *
    calls_main_window_new (GtkApplication *application,
                           GListModel *record_store);

### calls_main_window_dial ()

    void
    calls_main_window_dial (CallsMainWindow *self,
                            const gchar *target);

### calls_main_window_show_accounts_overview ()

    void
    calls_main_window_show_accounts_overview
                                   (CallsMainWindow *self);

## Types and Values

### CALLS_TYPE_MAIN_WINDOW

    #define CALLS_TYPE_MAIN_WINDOW (calls_main_window_get_type ())

### CallsMainWindow

    typedef struct _CallsMainWindow CallsMainWindow;

## Property Details

### The `“record-store”` property

      “record-store”             GListModel *

The store of call records.

Owner: CallsMainWindow

Flags: Write / Construct Only